version: "v1"
project: "$project"
services:
  backend:
      mysql:
        build:
          context: ./
          dockerfile: db.dockerfile
        ports:
          - "3306:3306"
        env:
          - MYSQL_USER: "homestead"
          - MYSQL_PASSWORD: "secret"
        volumes:
          - ./:/var/lib/mysql
        size: "8GB"
#      redis:
#        image: "redis:4"
  frontend:
    web:
      build:
        context: ./
        dockerfile: web.dockerfile
      ports:
        - "80:80"
      domain: "$domain"
      env:
        - DB_CONNECTION: "mysql"
        - DB_HOST: "mysql.backend.payam-staging"
        - DB_PORT: "3306"
        - DB_DATABASE: "homestead"
        - DB_USERNAME: "homestead"
        - DB_PASSWORD: "secret"
        - BROADCAST_DRIVER: "log"
        - CACHE_DRIVER: "file"
        - SESSION_DRIVER: "file"
        - SESSION_LIFETIME: "120"
        - QUEUE_DRIVER: "sync"
        - REDIS_HOST: "127.0.0.1"
        - REDIS_PASSWORD: "null"
        - REDIS_PORT: "6379"
        - MAIL_DRIVER: "smtp"
        - MAIL_HOST: "smtp.mailtrap.io"
        - MAIL_PORT: "2525"
        - MAIL_USERNAME: "null"
        - MAIL_PASSWORD: "null"
        - MAIL_ENCRYPTION: "null"
        - PUSHER_APP_ID: ""
        - PUSHER_APP_KEY: ""
        - PUSHER_APP_SECRET: ""
        - PUSHER_APP_CLUSTER: "mt1"
      volumes:
        - ./:/var/www
      size: "8GB"
      #dependencies:
       # - "../backend/mysql"
      links:
        - php
      depends_on:
        - php
    php:
      image: "php:fpm"
      volumes:
        - ./:/var/www
      expose:
        - "9000"